# ==================================================================
# Plugins::GForum::Search_Timer - Auto Generated Install Module
#
#   Plugins::GForum::Search_Timer
#   Author  : Gmail
#   Version : 1.0.0
#   Updated : Tue Feb  8 21:11:20 2005
#
# ==================================================================
#

package Plugins::GForum::Search_Timer;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use GForum qw/$IN $DB $CFG/;

$VERSION = '1.0.0';
$DEBUG   = 0;
$NAME    = 'Search_Timer';
# Inhert from base class for debug and error methods
@Plugins::GForum::Search_Timer::ISA = qw(GT::Base);

$META = {
    'version' => '1.0.0',
    'url' => '',
    'prog_ver' => '1.2.3',
    'author' => 'Gmail',
    'license' => 'Freeware',
    'description' => 'A simple plugin to time searches.'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#

    if (!eval qq!require "Time/HiRes.pm";!) {
        return "<font color=red>Warning: Time::HiRes is needed for this plugin to work but it was not found!<br><br>Error given by Perl:<br>$@</font>";  
    }
    return '';
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GForum::Search_Timer::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('Search_Timer', [['do_search_results', 'PRE', 'Plugins::GForum::Search_Timer::start_timer', 'LAST']]);
    $mgr->install_hooks('Search_Timer', [['do_search_results', 'POST', 'Plugins::GForum::Search_Timer::stop_timer', 'FIRST']]);
    $mgr->install_menu('Search_Timer', [['Instructions', 'admin.cgi?do=plugin&plugin=Search_Timer&func=about']]);
    $mgr->install_options('Search_Timer', [['Decimal Places', '2', 'Specifies the number of decimal places to use for the search time.', '', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GForum::Search_Timer::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('Search_Timer', [['do_search_results', 'PRE', 'Plugins::GForum::Search_Timer::start_timer', 'LAST']]);
    $mgr->uninstall_hooks('Search_Timer', [['do_search_results', 'POST', 'Plugins::GForum::Search_Timer::stop_timer', 'FIRST']]);    $mgr->uninstall_menu('Search_Timer', [['Instructions', 'admin.cgi?do=plugin&plugin=Search_Timer&func=about']]);
    $mgr->uninstall_options('Search_Timer', [['Decimal Places', '2', 'Specifies the number of decimal places to use for the search time.', '', [], [], '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
