# ==================================================================
# Plugins::GForum::Search_Timer - Auto Generated Program Module
#
#   Plugins::GForum::Search_Timer
#   Author  : Gmail
#   Version : 1.0.0
#   Updated : Tue Feb  8 21:11:20 2005
#
# ==================================================================
#

package Plugins::GForum::Search_Timer;
# ==================================================================

use strict;
use GForum::Plugins;
use vars qw/$TIME/;
use Time::HiRes qw/time/;
use GForum qw/$IN/;

# Inherit from base class for debug and error methods
@Plugins::GForum::Search_Timer::ISA = qw(GT::Base);

sub start_timer {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'do_search_results' is run.

    $TIME = time;
    @_;
}

sub stop_timer {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'do_search_results' is run.

    my (@args) = @_;
    my $opts = GForum::Plugins->get_plugin_user_cfg('Search_Timer');
    my $deci = $opts->{'Decimal Places'} =~ /^\d{1,6}$/ ? $opts->{'Decimal Places'} : 3;

# Set the template tag.
    $args[1]->{search_time} = sprintf("%.${deci}f", time - $TIME);

    return @args;
}

# ADMIN MENU OPTIONS
# ===================================================================

sub about {
# -------------------------------------------------------------------
# This subroutine will get called whenever the user clicks on 'Instructions' in the
# admin menu.

    print $IN->header();
	print <<EOF;
<p><font face="Tahoma,Arial,Helvetica" size="3"><b>
<table border="1" cellpadding="0" cellspacing="0"><tr><td>
  <table bgColor="#ffffff" border="0" cellPadding="3" cellSpacing="3" width="500" valign="top">
    <tr>
      <td align="left" bgColor="navy"><b><font color="#ffffff" size="2" face="Tahoma,Arial,Helvetica">Search Timer Instructions</font></b></td>
    </tr>
    <tr>
      <td>
	<p align="center"><b><font color="#000000" size="2" face="Tahoma,Arial,Helvetica">Search Timer Instructions</font></b></p>
	<p><font size="2" face="Tahoma,Arial,Helvetica">Brief instructions on how to install the plugin.</font></p>	
      </td>
      </tr>
    </table>
  </td></tr>
</table>
</b></font></p>
<p><font face="Tahoma,Arial,Helvetica" size="2">Simply put &lt;%search_time%> in your search_results.html template - that's it!</font></p>
EOF

}

# Always end with a 1.
1;